Index: branches/ORCHIDEE_EXT/ORCHIDEE/src_stomate/stomate_turnover.f90
===================================================================
--- branches/ORCHIDEE_EXT/ORCHIDEE/src_stomate/stomate_turnover.f90	(revision 64)
+++ branches/ORCHIDEE_EXT/ORCHIDEE/src_stomate/stomate_turnover.f90	(revision 257)
@@ -196,5 +196,5 @@
                tl(:)*tl(:) * senescence_temp(j,3)
 
-          WHERE ( ( biomass(:,j,ileaf) .GT. 0.0 ) .AND. &
+          WHERE ( ( biomass(:,j,ileaf) .GT. zero ) .AND. &
                ( leaf_meanage(:,j) .GT. min_leaf_age_for_senescence(j) ) .AND. &
                ( t2m_month(:) .LT. t_crit(:) ) .AND. ( t2m_week(:) .LT. t2m_month(:) ) )
@@ -215,5 +215,5 @@
                nosenescence_hum(j) )
 
-          WHERE ( ( biomass(:,j,ileaf) .GT. 0.0 ) .AND. &
+          WHERE ( ( biomass(:,j,ileaf) .GT. zero ) .AND. &
                ( leaf_meanage(:,j) .GT. min_leaf_age_for_senescence(j) ) .AND. &
                ( moiavail_week(:,j) .LT. moiavail_crit(:) ) )
@@ -240,5 +240,5 @@
 
              ! critical temperature for senescence may depend on long term annual mean temperature
-             WHERE ( ( biomass(:,j,ileaf) .GT. 0.0 ) .AND. &
+             WHERE ( ( biomass(:,j,ileaf) .GT. zero ) .AND. &
                   ( leaf_meanage(:,j) .GT. min_leaf_age_for_senescence(j) ) .AND. &
                   ( ( moiavail_week(:,j) .LT. moiavail_crit(:) ) .OR. &
@@ -319,8 +319,8 @@
              turnover(:,j,ifruit) = biomass(:,j,ifruit) * dt / turnover_time(:,j)
           ELSEWHERE
-             turnover(:,j,ileaf)=0.0
-             turnover(:,j,isapabove) =0.0
-             turnover(:,j,iroot) = 0.0
-             turnover(:,j,ifruit) =0.0
+             turnover(:,j,ileaf)= zero
+             turnover(:,j,isapabove) = zero
+             turnover(:,j,iroot) = zero
+             turnover(:,j,ifruit) = zero
           ENDWHERE
           biomass(:,j,ileaf) = biomass(:,j,ileaf) - turnover(:,j,ileaf)
@@ -364,5 +364,5 @@
 
           DO m = 1, nleafages
-             turnover_rate(:) =0 
+             turnover_rate(:) = zero
              WHERE ( leaf_age(:,j,m) .GT. leaf_age_crit(:,j)/2. )
 
@@ -454,5 +454,5 @@
              leaf_frac(:,j,m) = ( leaf_frac(:,j,m)*lm_old(:) + delta_lm(:,m) ) / biomass(:,j,ileaf)
           ELSEWHERE
-             leaf_frac(:,j,m) = 0.0
+             leaf_frac(:,j,m) = zero
           ENDWHERE
 
@@ -489,5 +489,5 @@
           ! check whether we shed the remaining leaves
 
-          WHERE ( ( biomass(:,j,ileaf) .GT. 0.0 ) .AND. senescence(:,j) .AND. &
+          WHERE ( ( biomass(:,j,ileaf) .GT. zero ) .AND. senescence(:,j) .AND. &
                ( biomass(:,j,ileaf) .LT. (lai_initmin(j) / 2.)/sla(j) )             )
 
@@ -498,12 +498,12 @@
              turnover(:,j,ifruit) = turnover(:,j,ifruit) + biomass(:,j,ifruit)
 
-             biomass(:,j,ileaf) = 0.0
-             biomass(:,j,iroot) = 0.0
-             biomass(:,j,ifruit) = 0.0
+             biomass(:,j,ileaf) = zero
+             biomass(:,j,iroot) = zero
+             biomass(:,j,ifruit) = zero
 
 
 
              ! reset leaf age
-             leaf_meanage(:,j) = 0.0
+             leaf_meanage(:,j) = zero
 
           ENDWHERE
@@ -519,5 +519,5 @@
           ! Shed the remaining leaves if LAI very low.
 
-          WHERE ( ( biomass(:,j,ileaf) .GT. 0.0 ) .AND. senescence(:,j) .AND. &
+          WHERE ( ( biomass(:,j,ileaf) .GT. zero ) .AND. senescence(:,j) .AND. &
                (  biomass(:,j,ileaf) .LT. (lai_initmin(j) / 2.)/sla(j) ))
 
@@ -529,13 +529,13 @@
              turnover(:,j,ifruit) = turnover(:,j,ifruit) + biomass(:,j,ifruit)
 
-             biomass(:,j,ileaf) = 0.0
-             biomass(:,j,isapabove) = 0.0
-             biomass(:,j,iroot) = 0.0
-             biomass(:,j,ifruit) = 0.0
+             biomass(:,j,ileaf) = zero
+             biomass(:,j,isapabove) = zero
+             biomass(:,j,iroot) = zero
+             biomass(:,j,ifruit) = zero
 
 
 
              ! reset leaf age
-             leaf_meanage(:,j) = 0.0
+             leaf_meanage(:,j) = zero
 
           ENDWHERE
@@ -551,6 +551,6 @@
           WHERE ( shed_rest(:) )
 
-             leaf_age(:,j,m) = 0.0
-             leaf_frac(:,j,m) = 0.0
+             leaf_age(:,j,m) = zero
+             leaf_frac(:,j,m) = zero
 
           ENDWHERE
@@ -679,5 +679,5 @@
              hw_new(:) = biomass(:,j,iheartabove) + biomass(:,j,iheartbelow)
 
-             WHERE ( hw_new(:) .GT. 0.0 )
+             WHERE ( hw_new(:) .GT. zero )
 
                 age(:,j) = age(:,j) * hw_old(:)/hw_new(:)
